$(document).ready(function(e) {
    $('#startBtn').on('click', function() {
		$(this).parent().html('正在清理，请勿关闭页面，这需要一定的时间...');
		unlinkFileOfServ(1);
	});
});
function unlinkFileOfServ(id) {
	$('#serv'+id+'img').show();
	$.ajax({url:'admin.php?ac=p402&do=unlink',type:'POST',data:{sid:id},success: function(j){
		j = $.parseJSON(j);
		$('#serv'+j.id+'img').hide();
		if(j.result == '1') {
			if($('#serversTbody>[sid="'+j.result+'"]').next().size() > 0) {
				unlinkFileOfServ($('#serversTbody>[sid="'+j.result+'"]').next().attr('sid'));
			} else {
				$('.controls').html('清理完毕，3 秒后自动刷新');
				setTimeout(function() {
					window.location.href = window.location.href;
				}, 3000);
			}
		}
	}});
}